MCP Tools Reference: redis.googleapis.com

ツール: create_cluster

Memorystore for Redis Cluster にクラスタを作成します。

次のサンプルは、curl を使用して create_cluster MCP ツールを呼び出す方法を示しています。

Curl リクエスト
                  
curl --location 'https://redis.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "create_cluster",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

入力スキーマ

CreateCluster のリクエスト。

CreateClusterRequest

JSON 表現
{
  "parent": string,
  "clusterId": string,
  "cluster": {
    object (Cluster)
  },
  "requestId": string
}
フィールド
parent

string

必須。projects/{project_id}/locations/{location_id} という形式を使用したクラスタ ロケーションのリソース名。location_id は Google Cloud リージョンを表します。

clusterId

string

必須。顧客プロジェクト内の Redis クラスタの論理名。次の制限があります。

  • 使用できるのは小文字、数字、ハイフンのみです。
  • 先頭は英文字でなければなりません。
  • 1~63 文字でなければなりません。
  • 末尾が数字または英字でなければなりません。
  • プロジェクト / ロケーション内で一意でなければなりません。
cluster

object (Cluster)

必須。作成するクラスタ。

requestId

string

省略可。べき等リクエストの UUID。

クラスタ

JSON 表現
{
  "name": string,
  "createTime": string,
  "state": enum (State),
  "uid": string,
  "authorizationMode": enum (AuthorizationMode),
  "transitEncryptionMode": enum (TransitEncryptionMode),
  "pscConfigs": [
    {
      object (PscConfig)
    }
  ],
  "discoveryEndpoints": [
    {
      object (DiscoveryEndpoint)
    }
  ],
  "pscConnections": [
    {
      object (PscConnection)
    }
  ],
  "stateInfo": {
    object (StateInfo)
  },
  "nodeType": enum (NodeType),
  "persistenceConfig": {
    object (ClusterPersistenceConfig)
  },
  "redisConfigs": {
    string: string,
    ...
  },
  "zoneDistributionConfig": {
    object (ZoneDistributionConfig)
  },
  "crossClusterReplicationConfig": {
    object (CrossClusterReplicationConfig)
  },
  "pscServiceAttachments": [
    {
      object (PscServiceAttachment)
    }
  ],
  "clusterEndpoints": [
    {
      object (ClusterEndpoint)
    }
  ],
  "automatedBackupConfig": {
    object (AutomatedBackupConfig)
  },
  "encryptionInfo": {
    object (EncryptionInfo)
  },
  "availableMaintenanceVersions": [
    string
  ],
  "allowFewerZonesDeployment": boolean,
  "labels": {
    string: string,
    ...
  },
  "aclPolicy": string,

  // Union field import_sources can be only one of the following:
  "gcsSource": {
    object (GcsBackupSource)
  },
  "managedBackupSource": {
    object (ManagedBackupSource)
  }
  // End of list of possible types for union field import_sources.

  // Union field _replica_count can be only one of the following:
  "replicaCount": integer
  // End of list of possible types for union field _replica_count.

  // Union field _size_gb can be only one of the following:
  "sizeGb": integer
  // End of list of possible types for union field _size_gb.

  // Union field _shard_count can be only one of the following:
  "shardCount": integer
  // End of list of possible types for union field _shard_count.

  // Union field _precise_size_gb can be only one of the following:
  "preciseSizeGb": number
  // End of list of possible types for union field _precise_size_gb.

  // Union field _deletion_protection_enabled can be only one of the following:
  "deletionProtectionEnabled": boolean
  // End of list of possible types for union field _deletion_protection_enabled.

  // Union field _maintenance_policy can be only one of the following:
  "maintenancePolicy": {
    object (ClusterMaintenancePolicy)
  }
  // End of list of possible types for union field _maintenance_policy.

  // Union field _maintenance_schedule can be only one of the following:
  "maintenanceSchedule": {
    object (ClusterMaintenanceSchedule)
  }
  // End of list of possible types for union field _maintenance_schedule.

  // Union field _satisfies_pzs can be only one of the following:
  "satisfiesPzs": boolean
  // End of list of possible types for union field _satisfies_pzs.

  // Union field _satisfies_pzi can be only one of the following:
  "satisfiesPzi": boolean
  // End of list of possible types for union field _satisfies_pzi.

  // Union field _simulate_maintenance_event can be only one of the following:
  "simulateMaintenanceEvent": boolean
  // End of list of possible types for union field _simulate_maintenance_event.

  // Union field _backup_collection can be only one of the following:
  "backupCollection": string
  // End of list of possible types for union field _backup_collection.

  // Union field _kms_key can be only one of the following:
  "kmsKey": string
  // End of list of possible types for union field _kms_key.

  // Union field _ondemand_maintenance can be only one of the following:
  "ondemandMaintenance": boolean
  // End of list of possible types for union field _ondemand_maintenance.

  // Union field _async_cluster_endpoints_deletion_enabled can be only one of the
  // following:
  "asyncClusterEndpointsDeletionEnabled": boolean
  // End of list of possible types for union field
  // _async_cluster_endpoints_deletion_enabled.

  // Union field _maintenance_version can be only one of the following:
  "maintenanceVersion": string
  // End of list of possible types for union field _maintenance_version.

  // Union field _effective_maintenance_version can be only one of the following:
  "effectiveMaintenanceVersion": string
  // End of list of possible types for union field
  // _effective_maintenance_version.

  // Union field _server_ca_mode can be only one of the following:
  "serverCaMode": enum (ServerCaMode)
  // End of list of possible types for union field _server_ca_mode.

  // Union field _server_ca_pool can be only one of the following:
  "serverCaPool": string
  // End of list of possible types for union field _server_ca_pool.

  // Union field _rotate_server_certificate can be only one of the following:
  "rotateServerCertificate": boolean
  // End of list of possible types for union field _rotate_server_certificate.

  // Union field _acl_policy_in_sync can be only one of the following:
  "aclPolicyInSync": boolean
  // End of list of possible types for union field _acl_policy_in_sync.
}
フィールド
name

string

必須。ID。このスコープ内のリソースの一意の名前(projects/{project_id}/locations/{location_id}/clusters/{cluster_id} 形式を使用するプロジェクトとロケーションを含む)

createTime

string (Timestamp format)

出力専用。クラスタ作成リクエストに関連付けられたタイムスタンプ。

RFC 3339 を使用します。生成された出力は常に Z 正規化され、小数点以下は 0、3、6、または 9 桁になります。「Z」以外のオフセットも使用できます。例: "2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

state

enum (State)

出力専用。このクラスタの現在の状態。CREATING、READY、UPDATING、DELETING、SUSPENDED のいずれかになります。

uid

string

出力専用。システムによって割り当てられたクラスタの固有識別子。

authorizationMode

enum (AuthorizationMode)

省略可。Redis クラスタの認可モード。指定しない場合、クラスタの認証機能は無効になります。

transitEncryptionMode

enum (TransitEncryptionMode)

省略可。Redis クラスタの転送中の暗号化。指定しない場合、クラスタの暗号化は無効になります。

pscConfigs[]

object (PscConfig)

省略可。各 PscConfig は、Private Service Connect Automation を介してクライアント アクセス用に IP がクラスタに割り当てられるコンシューマ ネットワークを構成します。現在、サポートされている PscConfig は 1 つのみです。

discoveryEndpoints[]

object (DiscoveryEndpoint)

出力専用。Redis クライアントがクラスタに接続するために、指定された各ネットワークに作成されたエンドポイント。現時点では、検出エンドポイントは 1 つだけサポートされています。

pscConnections[]

object (PscConnection)

出力専用。サービス接続の自動化によって自動作成された PSC 接続のリスト。

stateInfo

object (StateInfo)

出力専用。クラスタの現在の状態に関する追加情報。

nodeType

enum (NodeType)

省略可。クラスタ内の Redis ノードのタイプ。NodeType は、Redis ノードの基盤となるマシンタイプを決定します。

persistenceConfig

object (ClusterPersistenceConfig)

省略可。クラスタの永続性構成(RDB、AOF)。

redisConfigs

map (key: string, value: string)

省略可。変更可能な Redis 構成に対するお客様のオーバーライドの Key-Value ペア

"key": value ペアのリストを含むオブジェクト。例: { "name": "wrench", "mass": "1.3kg", "count": "3" }

zoneDistributionConfig

object (ZoneDistributionConfig)

省略可。この構成は、リージョン内でクラスタ リソースをどのように分散するかを決定するために使用されます。

crossClusterReplicationConfig

object (CrossClusterReplicationConfig)

省略可。クロスクラスタ レプリケーション構成。

pscServiceAttachments[]

object (PscServiceAttachment)

出力専用。Psc 接続を構成するためのサービス アタッチメントの詳細

clusterEndpoints[]

object (ClusterEndpoint)

省略可。クラスタ エンドポイントのリスト。

automatedBackupConfig

object (AutomatedBackupConfig)

省略可。クラスタの自動バックアップ構成。

encryptionInfo

object (EncryptionInfo)

出力専用。クラスタの保存データの暗号化情報。

availableMaintenanceVersions[]

string

出力専用。このフィールドは、セルフサービス アップデートで使用可能なメンテナンス バージョンを特定するために使用されます。

allowFewerZonesDeployment
(deprecated)

boolean

省略可。変更不可。非推奨。使用しないでください。

labels

map (key: string, value: string)

省略可。ユーザー指定のメタデータを表すラベル。

"key": value ペアのリストを含むオブジェクト。例: { "name": "wrench", "mass": "1.3kg", "count": "3" }

aclPolicy

string

省略可。クラスタに適用する ACL ポリシー。

共用体フィールド import_sources。インポート元のソース。import_sources は次のいずれかになります。
gcsSource

object (GcsBackupSource)

省略可。Cloud Storage バケットに保存されたバックアップ。Cloud Storage バケットは、クラスタと同じリージョンに存在する必要があります。指定された Cloud Storage オブジェクトからインポートするには、読み取り権限が必要です。

managedBackupSource

object (ManagedBackupSource)

省略可。Memorystore サービスによって生成および管理されるバックアップ。

共用体フィールド _replica_count

_replica_count は次のいずれかになります。

replicaCount

integer

省略可。シャードあたりのレプリカノードの数。

共用体フィールド _size_gb

_size_gb は次のいずれかになります。

sizeGb

integer

出力専用。クラスタ全体の Redis メモリサイズ(GB 単位)。次の整数に切り上げられます。

共用体フィールド _shard_count

_shard_count は次のいずれかになります。

shardCount

integer

省略可。Redis クラスタのシャード数。

共用体フィールド _precise_size_gb

_precise_size_gb は次のいずれかになります。

preciseSizeGb

number

出力専用。クラスタ全体の Redis メモリサイズの正確な値(GB 単位)。

共用体フィールド _deletion_protection_enabled

_deletion_protection_enabled は次のいずれかになります。

deletionProtectionEnabled

boolean

省略可。値が true に設定されている場合、削除オペレーションは失敗します。

共用体フィールド _maintenance_policy

_maintenance_policy は次のいずれかになります。

maintenancePolicy

object (ClusterMaintenancePolicy)

省略可。ClusterMaintenancePolicy は、更新を許可または拒否するタイミングを決定します。

共用体フィールド _maintenance_schedule

_maintenance_schedule は次のいずれかになります。

maintenanceSchedule

object (ClusterMaintenanceSchedule)

出力専用。ClusterMaintenanceSchedule(出力専用)公開されたメンテナンス スケジュール。

共用体フィールド _satisfies_pzs

_satisfies_pzs は次のいずれかになります。

satisfiesPzs

boolean

省略可。出力専用。将来の使用のために予約。

共用体フィールド _satisfies_pzi

_satisfies_pzi は次のいずれかになります。

satisfiesPzi

boolean

省略可。出力専用。将来の使用のために予約。

共用体フィールド _simulate_maintenance_event

_simulate_maintenance_event は次のいずれかになります。

simulateMaintenanceEvent

boolean

省略可。入力専用。メンテナンス イベントをシミュレートします。

共用体フィールド _backup_collection

_backup_collection は次のいずれかになります。

backupCollection

string

省略可。出力専用。バックアップ コレクションの完全なリソース名。例: projects/{project}/locations/{location}/backupCollections/{collection}

共用体フィールド _kms_key

_kms_key は次のいずれかになります。

kmsKey

string

省略可。クラスタの保存データの暗号化に使用される KMS 鍵。

共用体フィールド _ondemand_maintenance

_ondemand_maintenance は次のいずれかになります。

ondemandMaintenance
(deprecated)

boolean

省略可。入力専用。クラスタのオンデマンド メンテナンス。このフィールドは、クラスタでオンデマンドの重要な更新をトリガーするために使用できます。

共用体フィールド _async_cluster_endpoints_deletion_enabled

_async_cluster_endpoints_deletion_enabled は次のいずれかになります。

asyncClusterEndpointsDeletionEnabled

boolean

省略可。true の場合、お客様が作成して登録したクラスタ エンドポイントを非同期で削除できます。つまり、クラスタ エンドポイントの転送ルールが削除される前に、このようなクラスタ エンドポイントの登録を解除できます。

共用体フィールド _maintenance_version

_maintenance_version は次のいずれかになります。

maintenanceVersion

string

省略可。このフィールドは、セルフサービス更新をトリガーして、必要なメンテナンス バージョンを示すために使用できます。このフィールドの入力は、available_maintenance_versions フィールドで決定できます。

共用体フィールド _effective_maintenance_version

_effective_maintenance_version は次のいずれかになります。

effectiveMaintenanceVersion

string

出力専用。このフィールドは、クラスタの実際のメンテナンス バージョンを表します。

共用体フィールド _server_ca_mode

_server_ca_mode は次のいずれかになります。

serverCaMode

enum (ServerCaMode)

省略可。クラスタのサーバー CA モード。

共用体フィールド _server_ca_pool

_server_ca_pool は次のいずれかになります。

serverCaPool

string

省略可。クラスタの顧客管理の CA プール。BYOCA にのみ適用されます。つまり、server_ca_mode が SERVER_CA_MODE_CUSTOMER_MANAGED_CAS_CA の場合です。形式: 「projects/{project}/locations/{region}/caPools/{ca_pool}」。

共用体フィールド _rotate_server_certificate

_rotate_server_certificate は次のいずれかになります。

rotateServerCertificate

boolean

省略可。入力専用。サーバー証明書をローテーションします。

共用体フィールド _acl_policy_in_sync

_acl_policy_in_sync は次のいずれかになります。

aclPolicyInSync

boolean

省略可。出力専用。クラスタに適用された ACL ルールが最新の ACL ポリシー ルールと同期しているかどうかを示します。このフィールドは、クラスタに ACL ポリシーが設定されている場合にのみ適用されます。

GcsBackupSource

JSON 表現
{
  "uris": [
    string
  ]
}
フィールド
uris[]

string

省略可。インポートする Cloud Storage オブジェクトの URI。例: gs://bucket1/object1、gs://bucket2/folder2/object2

ManagedBackupSource

JSON 表現
{
  "backup": string
}
フィールド
backup

string

省略可。例: //redis.googleapis.com/projects/{project}/locations/{location}/backupCollections/{collection}/backups/{backup} バックアップ名の短縮版(接頭辞なし)もサポートされています(projects/{project}/locations/{location}/backupCollections/{collection}/backups/{backup_id} など)。この場合、バックアップは redis.googleapis.com の下にあると想定されます。

タイムスタンプ

JSON 表現
{
  "seconds": string,
  "nanos": integer
}
フィールド
seconds

string (int64 format)

UNIX エポック 1970-01-01T00:00:00Z からの UTC 時刻の秒数を表します。-62135596800~253402300799 の範囲(両端を含む)にする必要があります(これは 0001-01-01T00:00:00Z~9999-12-31T23:59:59Z に対応します)。

nanos

integer

ナノ秒分解能による、秒の負ではない小数以下部分。このフィールドは、秒の代替ではなく、期間のナノ秒部分です。小数以下を含む負の秒の値は、時間を前方にカウントする負ではない nanos 値を持つ必要があります。0~999,999,999 にする必要があります(両端を含む)。

PscConfig

JSON 表現
{
  "network": string
}
フィールド
network

string

必須。検出エンドポイントの IP アドレスが予約されるネットワーク(形式は projects/{network_project}/global/networks/{network_id})。

DiscoveryEndpoint

JSON 表現
{
  "address": string,
  "port": integer,
  "pscConfig": {
    object (PscConfig)
  }
}
フィールド
address

string

出力専用。クライアントがサービスに接続するために使用する、公開された Redis エンドポイントのアドレス。アドレスは IP またはホスト名のいずれかになります。

port

integer

出力専用。公開されている Redis エンドポイントのポート番号。

pscConfig

object (PscConfig)

出力専用。エンドポイントが作成され、アクセスされる場所に関するお客様の構成。

PscConnection

JSON 表現
{
  "pscConnectionId": string,
  "address": string,
  "forwardingRule": string,
  "projectId": string,
  "network": string,
  "serviceAttachment": string,
  "pscConnectionStatus": enum (PscConnectionStatus),
  "connectionType": enum (ConnectionType),

  // Union field ports can be only one of the following:
  "port": integer
  // End of list of possible types for union field ports.
}
フィールド
pscConnectionId

string

必須。サービス アタッチメントに接続されている転送ルールの PSC 接続 ID。

address

string

必須。PSC 転送ルール用にコンシューマー ネットワークに割り当てられている IP。

forwardingRule

string

必須。コンシューマー側の転送ルールの URI。例: projects/{projectNumOrId}/regions/us-east1/forwardingRules/{resourceId}。

projectId

string

省略可。転送ルールが作成されるコンシューマー プロジェクトのプロジェクト ID。

network

string

必須。IP アドレスが存在するコンシューマー ネットワーク。形式: projects/{project_id}/global/networks/{network_id}

serviceAttachment

string

必須。PSC 接続のターゲットであるサービス アタッチメント。形式は projects/{project-id}/regions/{region}/serviceAttachments/{service-attachment-id} です。

pscConnectionStatus

enum (PscConnectionStatus)

出力専用。PSC 接続のステータス。この値は定期的に更新されます。PSC 接続の最新のステータスを取得するには、https://cloud.google.com/vpc/docs/configure-private-service-connect-services#endpoint-details をご覧ください。

connectionType

enum (ConnectionType)

出力専用。PSC 接続のタイプ。

共用体フィールド ports。公開されている検出エンドポイントのポート番号。ports は次のいずれかになります。
port

integer

出力専用。ポートは、プライマリ/リーダー エンドポイントまたはディスカバリ エンドポイントに対してのみ設定されます。

StateInfo

JSON 表現
{

  // Union field info can be only one of the following:
  "updateInfo": {
    object (UpdateInfo)
  }
  // End of list of possible types for union field info.
}
フィールド

共用体フィールド info

info は次のいずれかになります。

updateInfo

object (UpdateInfo)

クラスタの状態が UPDATING の場合に、クラスタの進行中の更新について説明します。

UpdateInfo

JSON 表現
{

  // Union field _target_shard_count can be only one of the following:
  "targetShardCount": integer
  // End of list of possible types for union field _target_shard_count.

  // Union field _target_replica_count can be only one of the following:
  "targetReplicaCount": integer
  // End of list of possible types for union field _target_replica_count.

  // Union field _target_node_type can be only one of the following:
  "targetNodeType": enum (NodeType)
  // End of list of possible types for union field _target_node_type.
}
フィールド

共用体フィールド _target_shard_count

_target_shard_count は次のいずれかになります。

targetShardCount

integer

Redis クラスタのシャードの目標数

共用体フィールド _target_replica_count

_target_replica_count は次のいずれかになります。

targetReplicaCount

integer

シャードあたりのレプリカノードの目標数。

共用体フィールド _target_node_type

_target_node_type は次のいずれかになります。

targetNodeType

enum (NodeType)

Redis クラスタのターゲット ノードタイプ。

ClusterPersistenceConfig

JSON 表現
{
  "mode": enum (PersistenceMode),
  "rdbConfig": {
    object (RDBConfig)
  },
  "aofConfig": {
    object (AOFConfig)
  }
}
フィールド
mode

enum (PersistenceMode)

省略可。永続性モード。

rdbConfig

object (RDBConfig)

省略可。RDB 構成。モードが RDB 以外の場合、このフィールドは無視されます。

aofConfig

object (AOFConfig)

省略可。AOF 構成。モードが AOF でない場合、このフィールドは無視されます。

RDBConfig

JSON 表現
{
  "rdbSnapshotPeriod": enum (SnapshotPeriod),
  "rdbSnapshotStartTime": string
}
フィールド
rdbSnapshotPeriod

enum (SnapshotPeriod)

省略可。RDB スナップショット間の期間。

rdbSnapshotStartTime

string (Timestamp format)

省略可。最初にスナップショットが試行された時刻(または試行される予定の時刻)、および将来スナップショットが調整される時刻。指定しない場合は、現在の時刻が使用されます。

RFC 3339 を使用します。生成された出力は常に Z 正規化され、小数点以下は 0、3、6、または 9 桁になります。「Z」以外のオフセットも使用できます。例: "2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

AOFConfig

JSON 表現
{
  "appendFsync": enum (AppendFsync)
}
フィールド
appendFsync

enum (AppendFsync)

省略可。fsync 構成。

RedisConfigsEntry

JSON 表現
{
  "key": string,
  "value": string
}
フィールド
key

string

value

string

ZoneDistributionConfig

JSON 表現
{
  "mode": enum (ZoneDistributionMode),
  "zone": string
}
フィールド
mode

enum (ZoneDistributionMode)

省略可。ゾーン分布のモード。指定しない場合のデフォルトは MULTI_ZONE です。

zone

string

省略可。SINGLE ZONE 分布を選択すると、ゾーン フィールドを使用して、そのゾーン内のすべてのリソースが割り当てられます。これは MULTI_ZONE には適用されず、MULTI_ZONE クラスタでは無視されます。

CrossClusterReplicationConfig

JSON 表現
{
  "clusterRole": enum (ClusterRole),
  "primaryCluster": {
    object (RemoteCluster)
  },
  "secondaryClusters": [
    {
      object (RemoteCluster)
    }
  ],
  "updateTime": string,
  "membership": {
    object (Membership)
  }
}
フィールド
clusterRole

enum (ClusterRole)

出力専用。クロスクラスタ レプリケーションにおけるクラスタのロール。

primaryCluster

object (RemoteCluster)

このセカンダリ クラスタのレプリケーション ソースとして使用されるプライマリ クラスタの詳細。

このフィールドは、セカンダリ クラスタに対してのみ設定されます。

secondaryClusters[]

object (RemoteCluster)

このプライマリ クラスタから複製されているセカンダリ クラスタのリスト。

このフィールドは、プライマリ クラスタに対してのみ設定されます。

updateTime

string (Timestamp format)

出力専用。クロス クラスタ レプリケーション構成が最後に更新された時刻。

RFC 3339 を使用します。生成された出力は常に Z 正規化され、小数点以下は 0、3、6、または 9 桁になります。「Z」以外のオフセットも使用できます。例: "2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

membership

object (Membership)

出力専用。クラスタ間レプリケーションに参加しているすべてのメンバー クラスタの出力専用ビュー。このビューは、クラスタロール(プライマリまたはセカンダリ)に関係なく、すべてのメンバー クラスタによって提供されます。

プライマリ クラスタは、そこから複製されているすべてのセカンダリ クラスタに関する情報を提供できます。ただし、セカンダリ クラスタは、レプリケート元のプライマリ クラスタについてのみ認識します。ただし、プライマリ クラスタが使用できないシナリオ(リージョン停止など)では、GetCluster リクエストを他のメンバー クラスタに送信できます。このフィールドには、クラスタ間レプリケーションに参加しているすべてのメンバー クラスタが一覧表示されます。

RemoteCluster

JSON 表現
{
  "cluster": string,
  "uid": string
}
フィールド
cluster

string

出力専用。リモート クラスタの完全なリソースパス(projects//locations//clusters/ 形式)

uid

string

出力専用。リモート クラスタの固有識別子。

メンバーシップ

JSON 表現
{
  "primaryCluster": {
    object (RemoteCluster)
  },
  "secondaryClusters": [
    {
      object (RemoteCluster)
    }
  ]
}
フィールド
primaryCluster

object (RemoteCluster)

出力専用。セカンダリ クラスタのレプリケーションのソースとして機能するプライマリ クラスタ。

secondaryClusters[]

object (RemoteCluster)

出力専用。プライマリ クラスタから複製するセカンダリ クラスタのリスト。

ClusterMaintenancePolicy

JSON 表現
{
  "createTime": string,
  "updateTime": string,
  "weeklyMaintenanceWindow": [
    {
      object (ClusterWeeklyMaintenanceWindow)
    }
  ]
}
フィールド
createTime

string (Timestamp format)

出力専用。ポリシーが作成された日時(メンテナンスの時間枠または拒否期間が割り当てられた日時)。

RFC 3339 を使用します。生成された出力は常に Z 正規化され、小数点以下は 0、3、6、または 9 桁になります。「Z」以外のオフセットも使用できます。例: "2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

updateTime

string (Timestamp format)

出力専用。ポリシーが更新された時刻(メンテナンスの時間枠または拒否期間が更新された時刻)。

RFC 3339 を使用します。生成された出力は常に Z 正規化され、小数点以下は 0、3、6、または 9 桁になります。「Z」以外のオフセットも使用できます。例: "2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

weeklyMaintenanceWindow[]

object (ClusterWeeklyMaintenanceWindow)

省略可。このポリシーの対象となるリソースに適用されるメンテナンス時間枠。最小数 1。現在のバージョンでは、weekly_maintenance_window の最大数は 1 です。

ClusterWeeklyMaintenanceWindow

JSON 表現
{
  "day": enum (google.type.DayOfWeek),
  "startTime": {
    object (TimeOfDay)
  }
}
フィールド
day

enum (google.type.DayOfWeek)

省略可。指定した曜日に実行されるスケジュールを定義できます。

startTime

object (TimeOfDay)

省略可。時間枠の開始時刻(UTC)。

TimeOfDay

JSON 表現
{
  "hours": integer,
  "minutes": integer,
  "seconds": integer,
  "nanos": integer
}
フィールド
hours

integer

1 日の時間(24 時間形式)。0 以上にする必要があります。通常は 23 以下にする必要があります。API ではビジネスの終了時間などのシナリオにおいて、値 "24:00:00" を許可することもできます。

minutes

integer

1 時間の分。0 以上 59 以下にする必要があります。

seconds

integer

1 分の秒数。0 以上にする必要があります。通常は 59 以下にする必要があります。API がうるう秒を許可する場合、値 60 が許可されます。

nanos

integer

秒の小数部分(ナノ秒単位)。0 以上 999,999,999 以下にする必要があります。

ClusterMaintenanceSchedule

JSON 表現
{
  "startTime": string,
  "endTime": string
}
フィールド
startTime

string (Timestamp format)

出力専用。このインスタンスに対する次回の定期メンテナンスの開始時刻。

RFC 3339 を使用します。生成された出力は常に Z 正規化され、小数点以下は 0、3、6、または 9 桁になります。「Z」以外のオフセットも使用できます。例: "2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

endTime

string (Timestamp format)

出力専用。このインスタンスに対する次回の定期メンテナンスの開始時刻。

RFC 3339 を使用します。生成された出力は常に Z 正規化され、小数点以下は 0、3、6、または 9 桁になります。「Z」以外のオフセットも使用できます。例: "2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

PscServiceAttachment

JSON 表現
{
  "serviceAttachment": string,
  "connectionType": enum (ConnectionType)
}
フィールド
serviceAttachment

string

出力専用。自分で作成した PscConnection がターゲットとして使用するサービス アタッチメント URI

connectionType

enum (ConnectionType)

出力専用。このサービス アタッチメントをターゲットとする PSC 接続のタイプ。

ClusterEndpoint

JSON 表現
{
  "connections": [
    {
      object (ConnectionDetail)
    }
  ]
}
フィールド
connections[]

object (ConnectionDetail)

必須。PSC 接続のグループ。これらは同じ VPC ネットワークに作成され、クラスタ内のサービス アタッチメントごとに 1 つ作成されます。

ConnectionDetail

JSON 表現
{

  // Union field connection can be only one of the following:
  "pscAutoConnection": {
    object (PscAutoConnection)
  },
  "pscConnection": {
    object (PscConnection)
  }
  // End of list of possible types for union field connection.
}
フィールド
共用体フィールド connection。クラスタへの PSC 接続は、クラスタの作成時にサービス接続の自動化(自動登録接続)によって作成することも、ユーザー自身が作成することもできます(ユーザー登録接続)。connection は次のいずれかになります。
pscAutoConnection

object (PscAutoConnection)

サービス接続の自動化によって作成された PSC 接続の詳細情報。

pscConnection

object (PscConnection)

クラスタを所有するお客様が作成した PSC 接続の詳細情報。

PscAutoConnection

JSON 表現
{
  "pscConnectionId": string,
  "address": string,
  "forwardingRule": string,
  "projectId": string,
  "network": string,
  "serviceAttachment": string,
  "pscConnectionStatus": enum (PscConnectionStatus),
  "connectionType": enum (ConnectionType)
}
フィールド
pscConnectionId

string

出力専用。サービス アタッチメントに接続されている転送ルールの PSC 接続 ID。

address

string

出力専用。PSC 転送ルール用にコンシューマー ネットワークに割り当てられている IP。

forwardingRule

string

出力専用。コンシューマー側の転送ルールの URI。例: projects/{projectNumOrId}/regions/us-east1/forwardingRules/{resourceId}。

projectId

string

必須。転送ルールが作成されるコンシューマーの project_id。

network

string

必須。IP アドレスが存在するコンシューマー ネットワーク。形式: projects/{project_id}/global/networks/{network_id}

serviceAttachment

string

出力専用。PSC 接続のターゲットであるサービス アタッチメント。形式は projects/{project-id}/regions/{region}/serviceAttachments/{service-attachment-id} です。

pscConnectionStatus

enum (PscConnectionStatus)

出力専用。PSC 接続のステータス。この値は定期的に更新されます。最新のステータスについては、Private Service Connect API を使用してください。

connectionType

enum (ConnectionType)

出力専用。PSC 接続のタイプ。

AutomatedBackupConfig

JSON 表現
{
  "automatedBackupMode": enum (AutomatedBackupMode),

  // Union field schedule can be only one of the following:
  "fixedFrequencySchedule": {
    object (FixedFrequencySchedule)
  }
  // End of list of possible types for union field schedule.

  // Union field _retention can be only one of the following:
  "retention": string
  // End of list of possible types for union field _retention.
}
フィールド
automatedBackupMode

enum (AutomatedBackupMode)

省略可。自動バックアップ モード。モードが無効になっている場合、他のフィールドは無視されます。

共用体フィールド schedule。自動バックアップのスケジュール。schedule は次のいずれかになります。
fixedFrequencySchedule

object (FixedFrequencySchedule)

省略可。固定頻度で自動バックアップをトリガーします。

共用体フィールド _retention

_retention は次のいずれかになります。

retention

string (Duration format)

省略可。自動バックアップが削除されるまでの保持期間。値は 1 ~ 365 日の範囲で指定してください。指定しない場合、デフォルト値は 35 日です。

s で終わる小数 9 桁までの秒単位の期間。例: "3.5s"

FixedFrequencySchedule

JSON 表現
{

  // Union field _start_time can be only one of the following:
  "startTime": {
    object (TimeOfDay)
  }
  // End of list of possible types for union field _start_time.
}
フィールド

共用体フィールド _start_time

_start_time は次のいずれかになります。

startTime

object (TimeOfDay)

必須。すべての自動バックアップの開始時刻(UTC)。開始時刻は正時に設定する必要があります。このフィールドは必須です。

所要時間

JSON 表現
{
  "seconds": string,
  "nanos": integer
}
フィールド
seconds

string (int64 format)

期間の符号付き秒数。-315,576,000,000 ~+315,576,000,000 の範囲(両端を含む)にする必要があります。注: これらの境界は、60 秒/分 * 60 分/時間 * 24 時間/日 * 365.25 日/年 * 10,000 年から計算されます。

nanos

integer

期間のナノ秒分解能による、秒の符号付き小数以下部分。1 秒未満の期間は、0 の seconds フィールドと正または負の nanos フィールドで表されます。1 秒以上の期間の場合、nanos フィールドのゼロ以外の値は、seconds フィールドと同じ符号である必要があります。-999,999,999~+999,999,999 の範囲内(境界含む)である必要があります。

EncryptionInfo

JSON 表現
{
  "encryptionType": enum (Type),
  "kmsKeyVersions": [
    string
  ],
  "kmsKeyPrimaryState": enum (KmsKeyState),
  "lastUpdateTime": string
}
フィールド
encryptionType

enum (Type)

出力専用。暗号化のタイプ。

kmsKeyVersions[]

string

出力専用。保存データの保護に使用されている KMS 鍵バージョン。

kmsKeyPrimaryState

enum (KmsKeyState)

出力専用。システムによって認識された KMS 鍵のメイン バージョンの状態。このフィールドはバックアップでは入力されません。

lastUpdateTime

string (Timestamp format)

出力専用。暗号化情報が最後に更新された時刻。

RFC 3339 を使用します。生成された出力は常に Z 正規化され、小数点以下は 0、3、6、または 9 桁になります。「Z」以外のオフセットも使用できます。例: "2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

LabelsEntry

JSON 表現
{
  "key": string,
  "value": string
}
フィールド
key

string

value

string

出力スキーマ

このリソースは、ネットワーク API 呼び出しの結果である長時間実行オペレーションを表します。

オペレーション

JSON 表現
{
  "name": string,
  "metadata": {
    "@type": string,
    field1: ...,
    ...
  },
  "done": boolean,

  // Union field result can be only one of the following:
  "error": {
    object (Status)
  },
  "response": {
    "@type": string,
    field1: ...,
    ...
  }
  // End of list of possible types for union field result.
}
フィールド
name

string

サーバーによって割り当てられる名前。最初にその名前を返すサービスと同じサービス内でのみ一意になります。デフォルトの HTTP マッピングを使用している場合は、nameoperations/{unique_id} で終わるリソース名にします。

metadata

object

{

createTime: オペレーションが作成された時刻。

endTime: オペレーションの実行が終了した時刻。

target: オペレーションのターゲットに対応するサーバー定義のリソースパス。

verb: オペレーションによって実行される動詞の名前。

statusDetail: 人が読める形式のオペレーションのステータス(存在する場合)。

cancelRequested: ユーザーがオペレーションのキャンセルをリクエストしたかどうかを示します。正常にキャンセルされたオペレーションは、google.rpc.Status.code が 1 の Operation.error 値を持ちます。これは Code.CANCELLED に相当します。

apiVersion: オペレーションの開始に使用される API バージョン。

}

任意のデータ型のフィールドを含むオブジェクト。型を識別する URI を含むフィールド "@type" を追加できます。例: { "id": 1234, "@type": "types.example.com/standard/id" }

done

boolean

値が false の場合は、オペレーションが進行中であることを意味します。true の場合、オペレーションは完了しており、error または response が利用可能です。

共用体フィールド result。オペレーションの結果。error または有効な response になります。done == false の場合、errorresponse も設定されません。done == true の場合、error または response のどちらか 1 つだけが設定されます。一部のサービスでは結果が返されない場合があります。result は次のいずれかになります。
error

object (Status)

失敗またはキャンセルされた場合のオペレーションのエラー結果。

response

object

オペレーションの通常の成功レスポンス。元のメソッドで成功時にデータが返されない場合(Delete など)、レスポンスは google.protobuf.Empty になります。元のメソッドが標準の Get/Create/Update である場合、レスポンスはリソースになります。他のメソッドについては、レスポンスの型が XxxResponseXxx は元のメソッド名)になります。たとえば、元のメソッド名が TakeSnapshot() であれば、レスポンスの型は TakeSnapshotResponse になると推測できます。

任意の型のフィールドを含むオブジェクト。型を識別する URI を含むフィールド "@type" を追加できます。例: { "id": 1234, "@type": "types.example.com/standard/id" }

すべて

JSON 表現
{
  "typeUrl": string,
  "value": string
}
フィールド
typeUrl

string

スラッシュで終わる接頭辞と完全修飾型名で構成される URI 参照を使用して、シリアル化された Protobuf メッセージの型を識別します。

例: type.googleapis.com/google.protobuf.StringValue

この文字列には / 文字を 1 つ以上含める必要があります。最後の / の後のコンテンツは、先頭のドットのない正規形式の型の完全修飾名である必要があります。クライアントが連絡を試みないように、これらの URI 参照にスキームを記述しないでください。

接頭辞は任意であり、Protobuf 実装では、最後の / までを削除して型を識別することが想定されています。type.googleapis.com/ は、一部のレガシー実装で必要な一般的なデフォルトの接頭辞です。この接頭辞は型のオリジンを示すものではなく、これを含む URI はリクエストに応答しないことが想定されています。

すべての型 URL 文字列は、有効な URI 参照である必要があります。テキスト形式の場合、参照の内容は英数字、パーセント エンコードされたエスケープ、次のセットの文字(外側のバッククォートを除く)/-.~_!$&()*+,;= のみで構成されている必要があります。パーセント エンコードは許可されていますが、既存のパーサーとの混同を避けるため、実装ではエスケープ解除しないでください。たとえば、type.googleapis.com%2FFoo は拒否される必要があります。

Any の元の設計では、これらの型 URL で型解決サービスを起動する可能性が検討されましたが、Protobuf は実装していません。これらの URL へのアクセスは問題があり、セキュリティ上の問題を引き起こす可能性があると見なされています。連絡先タイプの URL にアクセスしないでください。

value

string (bytes format)

type_url で記述された型の Protobuf シリアル化を保持します。

Base64 でエンコードされた文字列。

ステータス

JSON 表現
{
  "code": integer,
  "message": string,
  "details": [
    {
      "@type": string,
      field1: ...,
      ...
    }
  ]
}
フィールド
code

integer

ステータス コード。google.rpc.Code の列挙値である必要があります。

message

string

デベロッパー向けのエラー メッセージ。英語で記述します。ユーザー向けのエラー メッセージは、ローカライズして google.rpc.Status.details フィールドで送信するか、クライアントでローカライズする必要があります。

details[]

object

エラーの詳細を保持するメッセージのリスト。API が使用する共通のメッセージ タイプのセットがあります。

任意のデータ型のフィールドを含むオブジェクトであり、型を識別する URI を含むフィールド "@type" を追加できます。例: { "id": 1234, "@type": "types.example.com/standard/id" }

ツールのアノテーション

破壊的ヒント: ❌ | べき等ヒント: ❌ | 読み取り専用ヒント: ❌ | オープン ワールド ヒント: ❌